Pamcat-Benutzerhandbuch(1)

BEZEICHNUNG

pamcat - Netpbm-Bilder aneinanderhängen

ÜBERSICHT

pamcat

{-leftright | -lr | -topbottom | -tb}

[-white|-black]

[-jtop|-jbottom|-jcenter] [-jleft|-jright|-jcenter]

[netpbmdatei … | -listfile={Dateiname|-}]

Die minimal mögliche eindeutige Abkürzung von Optionen wird akzeptiert. Sie können doppelte Bindestriche anstatt einfachen Bindestrichen verwenden, um Optionen anzuzeigen. Sie können Leerraum anstelle des Gleichheitszeichens verwenden, um einen Optionsname von seinem Wert zu trennen.

BESCHREIBUNG

Dieses Programm ist Teil von netpbm(1).

pamcat liest einen oder mehrere Netpbm-Bilder als Eingabe, hängt sie entweder von links nach rechts oder von oben nach unten aneinander und erstellt ein einzelnes Netpbm-Bild als Ausgabe.

Die Optionen -leftright und -topbottom bestimmen die Richtung der Aneinanderreihung.

Die Bilder müssen nicht das gleiche Format haben: Sie können Bilder verschiedener Breite von oben nach unten aneinanderhängen und von verschiedener Höhe von links nach rechts. Sie können Bilder von verschiedener Tiefe (Anzahl an Ebenen) aneinanderhängen. Sie können ein PBM-Bild mit einem PPM-Bild aneinanderhängen. Und so weiter.

Das Format der Ausgabe ist das höchste der Formate des Eingabebildes, in der Reihenfolge PBM, PGM, PPM, PAM.

Für die PAM-Ausgabe wird der Tupeltyp der Eingabe in die Ausgabe übernommen, falls alle Eingaben den gleichen Tupeltyp haben (einschließlich implizierter Typeltypen von PNM-Bildern). Falls sich die Eingaben unterscheiden, aber alle sichtbare Tupeltypen sind, ist der Tupeltyp der Ausgabe der primitivste Typ, der alle Eingaben darstellen kann. Sind beispielsweise die Eingaben GRAYSCALE und RGB, ist die Ausgabe RGB und falls die Eingaben GRAYSCALE_ALPHA und RGB sind, ist die Ausgabe RGB_ALPHA. Falls sich die Eingaben unterscheiden und nicht alle sichtbar sind, ist der Ausgabe- Tupeltyp die Null-Zeichenkette.

Wenn die Ausgabe PAM ist, ist die Tiefe die maximale Tiefe der Eingaben (einschließlich implizierter Tiefen von PNM-Bildern), aber mindestens so tief, dass sie den oben festgelegten Tupeltyp darstellen kann. Im Falle von nicht sichtbarer PAM-Ausgabe, werden alle Bilder auf diese Ausgabetiefe mit höher nummerierten Ebenen (komplett mit Nullen) aufgefüllt.

Wenn die Eingabebilder von verschiedener Breite sind und Sie die Bilder von oben nach unten aneinanderhängen, erstellt pamcat eine Ausgabe, die so breit wie die breiteste Eingabe ist und füllt die schmaleren Bilder auf. Die Bilder können entweder links oder rechts ausgerichtet oder innerhalb dieses aufgefüllten Feldes zentriert werden. Verwenden Sie die Optionen -jleft, -jright und -jcenter, um dies zu steuern.

Entsprechendes gilt, wenn die Eingabebilder von verschiedenen Höhen sind und Sie sie von links nach rechts aneinanderhängen. pamcat erstellt dann eine Ausgabe, die so hoch wie die höchste der Eingaben ist und füllt kleinere auf. Die Bilder können entweder oben oder unten ausgerichtet oder innerhalb des aufgefüllten Feldes zentriert werden. Verwenden Sie die Optionen -jtop, -jbottom und -jcenter, um dies zu steuern.

Sie können die Auffüllung schwarz oder weiß gestalten oder pamcat die wahrscheinliche Hintergrundfarbe bestimmen lassen, möglicherweise mit verschiedenen gefärbten Auffüllungen für jedes Eingabebild. Sie können dies mit den Optionen -black und -white steuern.

Wenn das Ausgabebild Transparenzinformationen enthält (da dies mindestens eines der Eingabebilder enthält), ist die Auffüllung undurchsichtig. (Dies ist mit den Ergebnissen für ein Ausgabebild ohne Transparenzinformationen konsistent, da ein solches Bild per Definition undurchsichtig ist).

Die Argumente sind Namen der Eingabedateien. Jede davon, aber nicht mehr als eine, darf »-« sein, um die Standardeingabe anzuzeigen. Falls Sie keine Argumente angeben, bedeutet dies ein einzelnes Bild von der Standardeingabe (und das ist sinnfrei - die Ausgabe ist identisch zu der Eingabe). Mit einer Option -listfile können Sie die Dateinamen in einer Datei anstelle von Argumenten bereitstellen.

Unabhängig davon, wie Sie die Eingabedateien bereitstellen, können Sie nicht mehr Dateien aneinanderhängen, als Ihre Systembegrenzung für die gleichzeitig durch einen Prozess geöffneten Dateien erlaubt. 16 ist dafür eine typische Anzahl.

Um ein reguläres Gitter von Bilder zusammenzusetzen, können Sie pamundice(1) verwenden.

Um das Umgekehrte durchzuführen, könnten Sie pamdice(1) verwenden, um ein Bild in kleinere Bilder gleicher Größe aufzuteilen oder pamcut(1), um Teile eines Bildes abzuschneiden oder Teile eines Bildes herauszulösen.

pnmtile(1) hängt ein einzelnes Eingabebild wiederholt an sich selbst an.

OPTIONEN

Zusätzlich zu den Ausgabeoptionen, die allen auf libnetpbm(3) basierenden Programmen gemein sind (insbesondere -quiet, siehe index.html#commonoptions ), erkennt pamcat die folgenden Befehlszeilenoptionen:

  Richtung

-topbottom, -tb
    Bilder vertikal kombinieren, von oben nach unten.

-leftright, -lr
    Bilder horizontal kombinieren, von links nach rechts.

    Sie müssen die Richtung durch Angabe einer der obigen Optionen angeben. Sie können nicht beide angeben.

  Ausrichtung

-jleft

    In einer Aneinanderhängung von oben nach unten Bilder links ausrichten.

    Sie können dies nicht mit -jright angeben.

    In einer Aneinanderhängung von links nach rechts ist diese Option ungültig.

-jright

    In einer Aneinanderhängung von oben nach unten Bilder rechts ausrichten.

    Sie können dies nicht mit -jleft angeben.

    In einer Aneinanderhängung von links nach rechts ist diese Option ungültig.

-jtop

    In einer Aneinanderhängung von links nach rechts Bilder oben ausrichten.

    Sie können dies nicht mit -jbottom angeben.

    In einer Aneinanderhängung von oben nach unten ist diese Option ungültig.

-jbottom

    In einer Aneinanderhängung von links nach rechts Bilder unten ausrichten.

    Sie können dies nicht mit -jtop angeben.

    In einer Aneinanderhängung von oben nach unten ist diese Option ungültig.

-jcenter

    Bilder zentrieren (gültig für sowohl Aneinanderhängung von links nach rechts als auch von oben nach unten). Dies ist die Vorgabe.

Standardmäßig zentriert pamcat kleinere Bilder. Verwenden Sie -jleft und -jbottom, um dies außer Kraft zu setzen. -topbottom -jleft würde die Bilder übereinander stapeln, bündig mit der linken Kante. -leftright -jbottom würde die Bilder von links nach rechts in Reihe aufreihen mit ihrer Unterkante angepasst, als ob sie auf einem Tisch säßen.

  Auffüllfarbe
Diese Optionen geben an, welche Farbe zum Auffüllen des zusätzlichen Platzes beim Durchführen der Ausrichtung verwandt werden soll. Falls keine angegeben ist, wählt pamcat aus, welche Farbe für diese Bilder richtig erscheint; die Farbe kann für jedes Bild anders sein.

-white
    Alle Auffüllungen in weiß.

    Sie können dies nicht mit -black angeben.

-black
    Alle Auffüllungen in schwarz.

    Sie können dies nicht mit -white angeben.

  Verschiedenes

-listfile={Dateiname|-}
    Dies legt den Namen einer Datei fest, die die Liste der Eingabedateien enthält. Der Optionswert - bedeutet, dass die Liste aus der Standardeingabe kommt.

    Die Datei enthält einen Dateiname pro Zeile, die durch Zeilenumbrüche getrennt werden, wie sie vom Dienst fopen des Systems erwartet werden. Sie können den Zeilenumbruch auf der letzten Zeile fortlassen. Leere Zeilen werden ignoriert. Es gibt keinen Mechanismus, Kommentare in die Liste aufzunehmen. (Falls Sie also eine kommentierte Liste haben möchten, verarbeiten sie diese, um die Kommentare zu entfernen, bevor Sie sie an pamcat übergeben.)

    Sie dürfen die Dateinamen nicht zusammen mit -listfile auf der Befehlszeile übergeben.

    Sie dürfen nicht mehr Dateien auflisten, als die Begrenzung Ihres Systems für die Anzahl der gleichzeitig durch einen Prozess geöffneten Dateien ist. 16 ist eine typische Anzahl dafür.

    Diese Option war in Netpbm 11.01 (Dezember 2022) neu.

SIEHE AUCH
pamundice(1), pamdice(1), pnmtile(1), pamcut(1), pnm(1), pam(1)

GESCHICHTE

pamcat war in Netpbm 11.00 (September 2022) neu; in früheren Versionen machte pnmcat größtenteils das gleiche.

Das ursprüngliche Netpbm/Pbmplus enthielt Aneinanderhängungswerkzeuge, aber es gab davon zwei: pbmcatlr für links-rechts-Aneinanderhängungen von PBM- Bildern und pbmcattb für Aneinanderhängungen von oben nach unten. Als die Formate PGM und PPM hinzugefügt wurden, wurden die Programme als pnmcat(1) kombiniert und erweitert, um mit allen drei Formaten umzugehen. Die gesamte Arbeit erfolgte durch Pbmplus-Autor Jef Poskanzer.

In Netpbm 10.44 (September 2008) fügte Akira F Urushibata besonders schnelle Verarbeitung für rohe PBM-Bilder hinzu, indem er die Bit-Zeichenketten- Verarbeitung moderner CPU-Anlagen ausnutzte.

pnmcat(1) war eines der wesentlichsten Programme in Netpbm, aber es konnte nicht mit PAM-Bilder mit Transparenz umgehen. Daher schrieb Bryan Henderson in Netpbm 11.00 (September 2022) pamcat, um es zu ersetzen. Es verwendete den Code für die schnelle Verarbeitung von rohem PBM aus pnmcat fast wörtlich wieder.

URSPRUNG DES DOKUMENTS
Diese Handbuchseite wurde vom Netpbm-Werkzeug »makeman« aus der HTML-Quelle erstellt. Das Hauptdokument befindet sich unter

    http://netpbm.sourceforge.net/doc/pamcat.html

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.